<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

		<title>Bootstrap Grid System</title>
	</head>
	<body class="text-center">

		<h1>Bootstrap Grid System</h1>
		<div class="container-fluid">

			<!-- Row with two equal columns -->
			<h3>1:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
			</div>

			<!-- Row with two columns divided in 1:2 ratio -->
			<h3>1:2 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
			</div>

			<!-- Row with two columns divided in 1:3 ratio -->
			<h3>1:3 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
			</div>
		</div>

		<!-- Three Columns Start -->
		<h2>Three Columns</h2>
		<div class="container-fluid">

			<!-- Row with three equal columns -->
			<h3>1:1:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			</div>

			<!-- Row with three columns divided in 1:2:1 ratio -->
			<h3>1:2:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div>

			<!-- Row with three columns divided in uneven ratio -->
			<h3>Uneven Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-1">1 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-5">5 Col</div>
			</div>
			
		</div>
		<!-- Three Columns End -->

		<!-- Automatic Sizing Start -->
		<h2>Automatic Sizing</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			</div>
		</div>
		<!-- Automatic Sizing End -->

		<!-- Mobile Responsive Column Start -->
		<h2>Mobile Responsive Columns</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
			</div>
		</div>
		<!-- Mobile Responsive Column End -->

		<!-- Column Orders Start -->
		<h2>Column Orders</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
			</div>
		</div>
		<!-- Column Orders End -->

		<!-- Multi-Column Layouts Start -->
		<h2>Multi-Column Layouts</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
			</div>
		</div>
		<!-- Multi-Column Layouts End -->

		<!-- Offsetting Columns Start -->
		<h2>Offsetting Columns</h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
				<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
			</div>
		</div>
		<!-- Offsetting Columns End -->

		<!-- Bootstrap Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	</body>
</html>